%define	lang	ru
%define	name	app-defaults-%{lang}
%define	version	0.1
%define	release	%mkrel 12

Summary:	X Resources for russification of some applications
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Internationalization
Source0:	%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Buildarch:	noarch
Requires:	XFree86
Requires:	locales-%{lang}

%description
X Resources for russification of some applications like xman, xedit

%prep
%setup -q

%build
rm -f Netscape

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{lang}/app-defaults
cp -pf * $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{lang}/app-defaults
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/
ln -s %{_sysconfdir}/X11/%{lang} $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/%{lang}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%dir %{_sysconfdir}/X11/%{lang}
%dir %{_sysconfdir}/X11/%{lang}/app-defaults
%config %{_sysconfdir}/X11/%{lang}/app-defaults/*
%{_prefix}/X11R6/%{_lib}/X11/%{lang}

# there may be a %{_prefix}/X11R6/%{_lib}/X11/%{lang}/ dir already
%pre
if [ -d %{_prefix}/X11R6/%{_lib}/X11/%{lang} -a ! -L %{_prefix}/X11R6/%{_lib}/X11/%{lang} ];
then
	mkdir -p %{_sysconfdir}/X11/%{lang}/app-defaults
	cp -far %{_prefix}/X11R6/%{_lib}/X11/%{lang}/app-defaults/* \
		%{_sysconfdir}/X11/%{lang}/app-defaults
	rmdir -rf %{_prefix}/X11R6/%{_lib}/X11/%{lang}
fi

%changelog
* Mon Feb 20 2023 tex - 0.1-12pclos2023
- rebuild
- is this still needed
